<rdn-wrapper [isLoading]="!!(isLoading$ | async)">
  <mat-card>
    <mat-card-header>
      <div class="buttons-container">
        <a [routerLink]="['create']" mat-raised-button>Створити новину</a>
      </div>
    </mat-card-header>
    <mat-card-content>
      <rdn-table
        [data]="newsElements$ | async"
        (sortOrPaginationChanged)="fetchNews($event)"
        (deleted)="deleteNews($event)"
        (edited)="editNews($event)"></rdn-table>
    </mat-card-content>
  </mat-card>
</rdn-wrapper>
